Index: .gitignore
===================================================================
--- .gitignore	(revision ce6f652fdaa4e0aacb39cba4193020eea7a4cf14)
+++ .gitignore	(revision 8e94af5f1379de1bfa1a312bf0416349a83df174)
@@ -24,4 +24,6 @@
 .lock-waf*
 .waf-*
+waf
+waflib
 build/
 
Index: Makefile
===================================================================
--- Makefile	(revision 8e94af5f1379de1bfa1a312bf0416349a83df174)
+++ Makefile	(revision 8e94af5f1379de1bfa1a312bf0416349a83df174)
@@ -0,0 +1,22 @@
+all: build
+
+checkwaf:
+	@[ -f waf ] || make getwaf
+
+getwaf:
+	curl https://waf.io/waf-1.8.12 > waf
+	@[ -d wafilb ] || rm -fr waflib
+	@chmod +x waf && ./waf --help &> /dev/null
+	@mv .waf-*/waflib . && rm -fr .waf-*
+	@sed '/^#==>$$/,$$d' waf > waf2 && mv waf2 waf
+	@chmod +x waf
+
+build: checkwaf
+	./waf configure
+	./waf build
+
+distcheck: build
+	./waf distcheck
+
+help:
+	./waf --help
